Sign in

List Positions

GET https://{organization}.myguper.com/api/register/team/position

Returns a paginated list of positions.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Query parameters

Name Type Description
q[column][operator] string Filter using the `q[column][operator]=value` grammar. See [List query parameters](/docs/{lang}/guides/list-query-parameters) for the full operator table.
o[column] string Sort by column. Direction: `ASC`, `DESC`, `1` or `0`.
e string
default: 20
p string
default: 1

Responses

{
    "list": [
        { "id": 10, "areaId": 2, "parentId": null, "name": "Diretor de Marketing" },
        { "id": 11, "areaId": 2, "parentId": 10,   "name": "Gerente de Performance" },
        { "id": 12, "areaId": 2, "parentId": 11,   "name": "Analista de SEO" }
    ],
    "total": 3, "page": 1, "entries": 50
}

Related

Copied to clipboard